# Form implementation generated from reading ui file 'src/eric7/WebBrowser/CookieJar/CookiesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_CookiesDialog(object):
    def setupUi(self, CookiesDialog):
        CookiesDialog.setObjectName("CookiesDialog")
        CookiesDialog.resize(500, 480)
        CookiesDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(CookiesDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.searchEdit = QtWidgets.QLineEdit(parent=CookiesDialog)
        self.searchEdit.setMinimumSize(QtCore.QSize(300, 0))
        self.searchEdit.setClearButtonEnabled(True)
        self.searchEdit.setObjectName("searchEdit")
        self.horizontalLayout.addWidget(self.searchEdit)
        self.horizontalLayout_2.addLayout(self.horizontalLayout)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.cookiesTree = QtWidgets.QTreeWidget(parent=CookiesDialog)
        self.cookiesTree.setAlternatingRowColors(True)
        self.cookiesTree.setAllColumnsShowFocus(True)
        self.cookiesTree.setObjectName("cookiesTree")
        self.verticalLayout.addWidget(self.cookiesTree)
        self.frame = QtWidgets.QFrame(parent=CookiesDialog)
        self.frame.setFrameShape(QtWidgets.QFrame.Shape.StyledPanel)
        self.frame.setFrameShadow(QtWidgets.QFrame.Shadow.Raised)
        self.frame.setObjectName("frame")
        self.gridLayout = QtWidgets.QGridLayout(self.frame)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.frame)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.domain = EricSqueezeLabel(parent=self.frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.domain.sizePolicy().hasHeightForWidth())
        self.domain.setSizePolicy(sizePolicy)
        self.domain.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.domain.setObjectName("domain")
        self.gridLayout.addWidget(self.domain, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.frame)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.name = EricSqueezeLabel(parent=self.frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.name.sizePolicy().hasHeightForWidth())
        self.name.setSizePolicy(sizePolicy)
        self.name.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.name.setObjectName("name")
        self.gridLayout.addWidget(self.name, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.frame)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.path = EricSqueezeLabel(parent=self.frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.path.sizePolicy().hasHeightForWidth())
        self.path.setSizePolicy(sizePolicy)
        self.path.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.path.setObjectName("path")
        self.gridLayout.addWidget(self.path, 2, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=self.frame)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 3, 0, 1, 1)
        self.secure = EricSqueezeLabel(parent=self.frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.secure.sizePolicy().hasHeightForWidth())
        self.secure.setSizePolicy(sizePolicy)
        self.secure.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.secure.setObjectName("secure")
        self.gridLayout.addWidget(self.secure, 3, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=self.frame)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 4, 0, 1, 1)
        self.expiration = EricSqueezeLabel(parent=self.frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.expiration.sizePolicy().hasHeightForWidth())
        self.expiration.setSizePolicy(sizePolicy)
        self.expiration.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.expiration.setObjectName("expiration")
        self.gridLayout.addWidget(self.expiration, 4, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=self.frame)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 5, 0, 1, 1)
        self.value = EricSqueezeLabel(parent=self.frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.value.sizePolicy().hasHeightForWidth())
        self.value.setSizePolicy(sizePolicy)
        self.value.setWordWrap(True)
        self.value.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.value.setObjectName("value")
        self.gridLayout.addWidget(self.value, 5, 1, 1, 1)
        self.verticalLayout.addWidget(self.frame)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.removeButton = QtWidgets.QPushButton(parent=CookiesDialog)
        self.removeButton.setAutoDefault(False)
        self.removeButton.setObjectName("removeButton")
        self.horizontalLayout_3.addWidget(self.removeButton)
        self.removeAllButton = QtWidgets.QPushButton(parent=CookiesDialog)
        self.removeAllButton.setAutoDefault(False)
        self.removeAllButton.setObjectName("removeAllButton")
        self.horizontalLayout_3.addWidget(self.removeAllButton)
        self.addButton = QtWidgets.QPushButton(parent=CookiesDialog)
        self.addButton.setAutoDefault(False)
        self.addButton.setObjectName("addButton")
        self.horizontalLayout_3.addWidget(self.addButton)
        spacerItem1 = QtWidgets.QSpacerItem(208, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=CookiesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(CookiesDialog)
        self.buttonBox.accepted.connect(CookiesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(CookiesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(CookiesDialog)
        CookiesDialog.setTabOrder(self.searchEdit, self.cookiesTree)
        CookiesDialog.setTabOrder(self.cookiesTree, self.removeButton)
        CookiesDialog.setTabOrder(self.removeButton, self.removeAllButton)
        CookiesDialog.setTabOrder(self.removeAllButton, self.addButton)

    def retranslateUi(self, CookiesDialog):
        _translate = QtCore.QCoreApplication.translate
        CookiesDialog.setWindowTitle(_translate("CookiesDialog", "Cookies"))
        self.searchEdit.setToolTip(_translate("CookiesDialog", "Enter search term for cookies"))
        self.searchEdit.setPlaceholderText(_translate("CookiesDialog", "Search"))
        self.cookiesTree.setSortingEnabled(True)
        self.cookiesTree.headerItem().setText(0, _translate("CookiesDialog", "Server"))
        self.cookiesTree.headerItem().setText(1, _translate("CookiesDialog", "Cookie Name"))
        self.label.setText(_translate("CookiesDialog", "Domain:"))
        self.domain.setText(_translate("CookiesDialog", "<no cookie selected>"))
        self.label_2.setText(_translate("CookiesDialog", "Name:"))
        self.name.setText(_translate("CookiesDialog", "<no cookie selected>"))
        self.label_3.setText(_translate("CookiesDialog", "Path:"))
        self.path.setText(_translate("CookiesDialog", "<no cookie selected>"))
        self.label_4.setText(_translate("CookiesDialog", "Secure:"))
        self.secure.setText(_translate("CookiesDialog", "<no cookie selected>"))
        self.label_5.setText(_translate("CookiesDialog", "Expiration:"))
        self.expiration.setText(_translate("CookiesDialog", "<no cookie selected>"))
        self.label_6.setText(_translate("CookiesDialog", "Value:"))
        self.value.setText(_translate("CookiesDialog", "<no cookie selected>"))
        self.removeButton.setToolTip(_translate("CookiesDialog", "Press to remove the selected cookie or list of cookies"))
        self.removeButton.setText(_translate("CookiesDialog", "&Remove Cookies"))
        self.removeAllButton.setToolTip(_translate("CookiesDialog", "Press to remove all cookies"))
        self.removeAllButton.setText(_translate("CookiesDialog", "Remove &All"))
        self.addButton.setToolTip(_translate("CookiesDialog", "Press to open the cookies exceptions dialog to add a new rule"))
        self.addButton.setText(_translate("CookiesDialog", "Add R&ule..."))
from eric7.EricWidgets.EricSqueezeLabels import EricSqueezeLabel
